/*  (c) 2008 Benjamin Schroeter
 *  You are allowed to use this code in all your commercial, non-commercial, open and closed source projects.
 *  But you have to leave this Copyright message in all files. This code is provided "as is" without warranty of any kind.
 *  If you have any enhancements or bug reports I will appreciate a short feedback.
 *  For more information visit the article to this code on my blog at 
 *  http://www.ticklishtechs.net/2008/02/29/connectors-between-compartment-shape-entries-with-dsl-tools-part-1/ */
namespace BenjaminSchroeter.Dsl.CompartmentMapping
{
    /// <summary>
    /// This interface will be added to CompartmentShapes used with the compartment mapping.
    /// The code generater will create the code therefor, so dont worry
    /// </summary>
    public interface ICompartmentMouseActionTrackable
    {
        /// <summary>
        /// Gets the <see cref="CompartmentMouseTrack"/> element for this shape.
        /// </summary>
        CompartmentMouseTrack MouseTrack { get; }
    }
}